<?
function SB_set_skin($server, $d, $skin_name)
{
	global $err;
	global $stat_message;
	//Set SKIN
	$result = R_CURL_Send($server['name']."change_skin.php", $d."&cmd=set_skin&skin=".$skin_name, '', $server['username'], $server['password']);
	if ($result == 'Demo mode: functions are disabled'){
		$stat_message = $result;
		return;
	}

	$resp = strpos($result, 'successfully');
	
	if (!$resp) {
		$err .= $lmsg_arr['RA__msg_err_skin'];
		return false;
	}
	return true;
}

function SB_set_lang($server, $d, $language)
{
	global $err;
	global $stat_message;
	//Set LANGUAGE
	$result = R_CURL_Send($server['name']."change_lang.php",$d."&cmd=set_lang&lang=".$language, '', $server['username'], $server['password']);
	if ($result == 'Demo mode: functions are disabled'){
		$stat_message = $result;
		return;
	}
	$resp = strpos($result, 'successfully');
	if (!$resp) {
		$err.= $lmsg_arr['RA__msg_err_language'];
		return false;
	}
	return true;
}

function SB_set_guest_access($server, $d, $guest)
{
	global $err;
	global $stat_message;
	//Set GUEST ACCESS
	$guest_access = $guest == 'yes' ? 'yes' : 'no';
	$result = R_CURL_Send($server['name']."change_guest_perm.php",$d."&cmd=set_state&allow=".$guest_access, '', $server['username'], $server['password']);
	if ($result == 'Demo mode: functions are disabled'){
		$stat_message = $result;
		return;
	}
	$resp = strpos($result, 'successfully');
	if (!$resp) {
		$err.= $lmsg_arr['RA__msg_err_guest'];
		return false;
	}
	return true;
}

function SB_set_publish($server, $d, $allow_publish)
{
	global $err;
	global $stat_message;
	//Set PUBLISH
	$publish = $allow_publish == 'yes' ? 'yes' : 'no';
	$result = R_CURL_Send($server['name']."change_publish_perm.php",$d."&cmd=set_state&allow=".$publish, '', $server['username'], $server['password']);
	if ($result == 'Demo mode: functions are disabled'){
			$stat_message = $result;
			return;
	}
	$resp = strpos($result, 'successfully');
	if (! $resp) {
		$err.= $lmsg_arr['RA__msg_err_publish'];
		return false;
	}
	return true;
}

function get_pref_form($server, $d)
{
	////Skin
	$res='<PAGE TITLE="'.lmsg('RA__preferences').'">';
	$res.='<FORM NAME="preferences_form" ACTION="/index.php?ra_cmd=preferences">';
	$res.='<HIDDEN ID="do" NAME="do" VALUE="save"/>';
	$res.='<FIELD NAME="skin" TITLE="'.lmsg('RA__skin').'" TYPE="list" >';
	$resp=R_CURL_Send($server['name']."change_skin.php",$d."&cmd=get_skin", "", $server['username'], $server['password']);
	$status = substr(strrchr($resp, ';'), 1);
	$skins = split(";", substr($resp, 0, strrpos($resp, ';')));
	$current_skin = R_CURL_Send($server['name']."change_skin.php",$d."&cmd=get_current_skin", 1, $server['username'], $server['password']);
	list($cur_skin_val, $cur_skin_key) = split(" => ", substr($current_skin, 0, strpos($current_skin, ';')));
	foreach ($skins as $skin){
		list ($val, $key) = split ( '=> ', $skin);
		$res.='<ITEM VALUE="'.$key.'"';
		if ($key == $cur_skin_key){
			$res.=' SELECTED="1"';
		}
		$res.='>'.$val.'</ITEM>';
	}
	$res.='</FIELD>';
	//Language
	$res.='<FIELD NAME="lang" TITLE="'.lmsg('RA__language').'" TYPE="list">';
	$resp=R_CURL_Send($server['name']."change_lang.php",$d."&cmd=get_lang", 1, $server['username'], $server['password']);
	$status = substr(strrchr($resp, ';'), 1);
	$langs = split(";", substr($resp, 0, strrpos($resp, ';')));
	$current_lang=R_CURL_Send($server['name']."change_lang.php",$d."&cmd=get_current_lang", 1, $server['username'], $server['password']);
	list($cur_lang_val, $cur_lang_key) = split(" => ", substr($current_lang, 0, strpos($current_lang, ';')));
	foreach ($langs as $lang){
		list ($val, $key) = split ( '=> ', $lang);
		$res.='<ITEM VALUE="'.$key.'"';
		if ($key == $cur_lang_key){
			$res.=' SELECTED="1"';
		}
		$res.='>'.$val.'</ITEM>';
	}
	$res.='</FIELD>';
	//Allow guest access
	$res.='<FIELD NAME="guest_access" TITLE="'.lmsg('RA__allow_guest').'" TYPE="check" VALUE="yes"';
	$resp=substr(R_CURL_Send($server['name']."change_guest_perm.php",$d."&cmd=get_state", '', $server['username'], $server['password']),0,1);
	if ($resp == "1"){
		$res.=' CHECKED="true"';
	}
	$res.='/>';
	//Allow publishing
	$res.='<FIELD NAME="publish" TITLE="'.lmsg('RA__allow_publish').'" TYPE="check" VALUE="yes"';
	$resp=substr(R_CURL_Send($server['name']."change_publish_perm.php",$d."&cmd=get_state", '', $server['username'], $server['password']),0,1);
	if ($resp == "1"){
		$res.=' CHECKED="true"';
	}
	$res.='/><BUTTON name="reg_button" CAPTION="'.lmsg('RA__btn_save').'" ONCLICK="dc(1);document.preferences_form.submit();"/>';
	$res.='</FORM>';
	return $res;
}
?>
