#!/usr/local/psa/admin/bin/php
<?
    
    function read_psa_conf()
    {
    	global $PSA_CONFIG;
	$psa_conf = '/etc/psa/psa.conf';
	if (!file_exists($psa_conf))
		return false;
	if ($handler = fopen($psa_conf, 'r'))
	{
		while (!feof($handler)){
			$conf_str = fgets($handler);
			if (ereg("^([A-Z_]+)[ \t]+([a-zA-Z0-9_/]+)", $conf_str, $regs))
				eval ("\$PSA_CONFIG['$regs[1]'] = \"$regs[2]\";");
		}
		fclose($handler);
		return true;
	}
    }
    
    function psa_mysql_connect()
    {
	if ($PSA_CONFIG['DEMO_VERSION'] = "yes")
		define('PRODUCT_DEFAULT_PASSWORD' , 'plesk');
	else
		define('PRODUCT_DEFAULT_PASSWORD' , 'setup');
	
	if (false === ($mysql_passwd = substr(file_get_contents("/etc/psa/.psa.shadow"), 0, -1)))
		$mysql_passwd = PRODUCT_DEFAULT_PASSWORD;
	
	$link = mysql_connect('localhost', 'admin', $mysql_passwd) or err_log('Could not connect: ' . mysql_error());
	mysql_select_db('psa') or err_log('Could not select database');
	return $link;	
    }
    
    function err_log($err_msg='')
    {
    	global $PSA_CONFIG;
	$logfile = $PSA_CONFIG['PRODUCT_ROOT_D']."/admin/plib/modules/sbm/update_hosting.log";
	if ((UPDATING_LOG) && ($handle = fopen($logfile, 'a')) && $err_msg)
	{
		$err_str = strftime("%c%t").$err_msg."\n";
		fwrite($handle, $err_str) || die("Can't write to log");
		fclose($handle);
	}
	    
    }
    
   
     function sbm_get_subdomains($domain)
     {
     	$query = "SELECT subdomains.name FROM subdomains LEFT JOIN domains on domains.id=subdomains.dom_id where domains.name  ='$domain' AND subdomains.sys_user_type='main';";
     	
	if (false === ($db_res = mysql_query($query))) {
		err_log('Unable to query: '.db_error());
	}
	$result = array();
	while (list($sub_name) = mysql_fetch_row($db_res))
	{
		$result[] = $sub_name.".".$domain;
	}
	mysql_free_result($db_res);
	return $result;
     }
     
     
     function modify_sb_user ($old_user, $old_domain, $new_user, $new_domain)
     {
     	global $server;
	$params = 'cmd=1001&sbra_users='.$old_user.','.$old_domain.'&sb_login='.$new_user.'&sb_role=0&sb_ftp_host_name='.$new_domain.'&sb_email=please@specify.email&cc_sb_user_active=1&cc_sb_allow_publish=1';
	$res = R_CURL_Send($server['name']."usermanager.php", $params, '', $server['username'], $server['password']);
	if ($res != "'User updated'"){
		$params = 'cmd=1000&sb_login='.$new_user.'&sb_role=0&sb_ftp_host_name='.$new_domain.'&sb_ftp_work_dir=httpdocs&sb_email=please@specify.email&cc_sb_user_active=1&cc_sb_allow_publish=1';
		$res = R_CURL_Send($server['name']."usermanager.php", $params, 1, $server['username'], $server['password']);
	}
	return $res;
     }
    
     function modify_sb_host ($old_domain, $new_domain)
     {
     	global $server;
	$params = 'cmd=1001&sbra_hosts='.$old_domain.'&sb_ftp_host='.$new_domain.'&sb_ftp_host_type=1';
	$res = R_CURL_Send($server['name']."usermanager.php", $params, '', $server['username'], $server['password']);
	if ($res != "'Host updated'"){
		$params = 'cmd=1000&sb_login='.$new_user.'&sb_role=0&sb_ftp_host_name='.$new_domain.'&sb_ftp_work_dir=httpdocs&sb_email=please@specify.email&cc_sb_user_active=1&cc_sb_allow_publish=1';
		$res = R_CURL_Send($server['name']."usermanager.php", $params, 1, $server['username'], $server['password']);
	}
	return $res;
     }

function sbm_get_server()
{
	$server = array();
	$query = "SELECT * FROM module_sbm_sbservers WHERE id = 1";
	if (false === ($db_res = mysql_query($query))) {
		psaerror('Unable to query: '.db_error());
	}
	list($server['id'], $server['name'], $server['ip_address'], $server['username'], $server['password']) = mysql_fetch_row($db_res);
	mysql_free_result($db_res);
	return $server;
}
          
    if ($argv){
	
	include ('config.php');
//	echo var_dump($argv);
	global $stat_message;
	global $PSA_CONFIG;
	$old_domain = $argv[1];
	$new_domain = $argv[2];
	$old_user = $argv[3];
	$new_user = $argv[4];

	read_psa_conf();
	$db_link = psa_mysql_connect();
	$server = sbm_get_server();
	err_log("==>Updating SB records for domain: ".$old_domain."...");
	//SB tables have to be updated;
	include ($PSA_CONFIG['PRODUCT_ROOT_D']."/admin/htdocs/modules/sbm/curl_send.php");

	$subdom_list = sbm_get_subdomains($old_domain);
	array_push($subdom_list, $old_domain);
	foreach ($subdom_list as $domain){
		//Modifying ftp-host
		//$res = modify_sb_host($old_domain, $old_domain);
		//err_log($res."\n");

		//Modifying sb user
		$res = modify_sb_user($old_user, $domain, $new_user, $domain);
		err_log($res);
	}
	
	mysql_close($db_link);
	}
?>
